> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repromptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Attributes

> List available attributes including custom attributes



## OpenAPI

````yaml https://api.reprompt.io/v2/openapi.json get /attributes
openapi: 3.1.0
info:
  title: Reprompt API v2
  version: '2.0'
servers:
  - url: https://api.reprompt.io/v2
    description: V2 API server
security: []
tags:
  - name: Enrichments
    description: Use AI to enrich place data with various attributes
  - name: Places
    description: Find, match, and check existence of places
paths:
  /attributes:
    get:
      tags:
        - Enrichments
      summary: List Attributes
      description: List available attributes including custom attributes
      operationId: list_attributes_attributes_get
      parameters:
        - name: org_slug
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Slug
        - name: apiKey
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Apikey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2AttributesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    V2AttributesResponse:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/V2AttributeDetails'
          type: array
          title: Attributes
        total_count:
          type: integer
          title: Total Count
      type: object
      required:
        - attributes
        - total_count
      title: V2AttributesResponse
      description: Response for the /attributes endpoint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    V2AttributeDetails:
      properties:
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        function_signatures:
          items:
            $ref: '#/components/schemas/V2AttributeFunctionSignature'
          type: array
          title: Function Signatures
        enrichment_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Enrichment Type
        generic_api_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Generic Api Config
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        favicon:
          anyOf:
            - type: string
            - type: 'null'
          title: Favicon
      type: object
      required:
        - key
        - name
        - description
        - function_signatures
      title: V2AttributeDetails
      description: Detailed information about a single attribute
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    V2AttributeFunctionSignature:
      properties:
        required_inputs:
          items:
            $ref: '#/components/schemas/V2InputField'
          type: array
          title: Required Inputs
        optional_inputs:
          anyOf:
            - items:
                $ref: '#/components/schemas/V2InputField'
              type: array
            - type: 'null'
          title: Optional Inputs
        output_schema:
          additionalProperties: true
          type: object
          title: Output Schema
        example_output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Example Output
        credit_cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credit Cost
      type: object
      required:
        - required_inputs
        - output_schema
      title: V2AttributeFunctionSignature
    V2InputField:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        description:
          type: string
          title: Description
        example:
          anyOf:
            - {}
            - type: 'null'
          title: Example
      type: object
      required:
        - name
        - type
        - description
      title: V2InputField
      description: Represents a single input field for an attribute
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Bearer token in the format: Bearer YOUR_API_KEY'

````